<?xml version="1.0" encoding="UTF-8"?>
<schemalist>


  <schema path="/apps/glabels-3/" id="org.gnome.glabels-3" gettext-domain="glabels-3.0">
    <child schema="org.gnome.glabels-3.ui" name="ui"/>
    <child schema="org.gnome.glabels-3.locale" name="locale"/>
    <child schema="org.gnome.glabels-3.objects" name="objects"/>
    <child schema="org.gnome.glabels-3.history" name="history"/>
  </schema>


  <schema path="/apps/glabels-3/ui/" id="org.gnome.glabels-3.ui" gettext-domain="glabels-3.0">

    <key type="b" name="main-toolbar-visible">
      <default>true</default>
      <summary>Show/hide main toolbar.</summary>
      <description>Controls visibility of main toolbar.</description>
    </key>

    <key type="b" name="drawing-toolbar-visible">
      <default>true</default>
      <summary>Show/hide drawing toolbar.</summary>
      <description>Controls visibility of drawing toolbar.</description>
    </key>

    <key type="b" name="property-toolbar-visible">
      <default>true</default>
      <summary>Show/hide property toolbar.</summary>
      <description>Controls visibility of property toolbar.</description>
    </key>

    <key type="b" name="grid-visible">
      <default>false</default>
      <summary>Show/hide grid.</summary>
      <description>Controls visibility of grid.</description>
    </key>

    <key type="b" name="markup-visible">
      <default>true</default>
      <summary>Show/hide markup.</summary>
      <description>Controls visibility of markup lines.</description>
    </key>

    <key type="i" name="max-recents">
      <default>-1</default>
      <summary>Maximum recent files.</summary>
      <description>Controls maximum number of recent files tracked.</description>
    </key>

  </schema>


  <schema path="/apps/glabels-3/locale/" id="org.gnome.glabels-3.locale" gettext-domain="glabels-3.0">

    <key type="s" name="units">
      <choices>
	<choice value=""/>
	<choice value="pt"/>
	<choice value="in"/>
	<choice value="mm"/>
      </choices>
      <default>''</default>
      <summary>Units.</summary>
      <description>The default unit of measurement.</description>
    </key>

    <key type="s" name="default-page-size">
      <choices>
	<choice value=""/>
	<choice value="A4"/>
	<choice value="US-Letter"/>
      </choices>
      <default>''</default>
      <summary>Default page size.</summary>
      <description>The preferred page size when searching templates.</description>
    </key>

  </schema>


  <schema path="/apps/glabels-3/objects/" id="org.gnome.glabels-3.objects" gettext-domain="glabels-3.0">
    <key type="s" name="default-font-family">
      <default>'Sans'</default>
      <summary>Default font family.</summary>
      <description>The default font family for new text objects.</description>
    </key>

    <key type="d" name="default-font-size">
      <range min="0.01" max="250"/>
      <default>12</default>
      <summary>Default font size.</summary>
      <description>The default font size for new text objects.</description>
    </key>

    <key type="s" name="default-font-weight">
      <choices>
	<choice value="Regular"/>
	<choice value="Bold"/>
      </choices>
      <default>'Regular'</default>
      <summary>Default font weight.</summary>
      <description>The default font weight for new text objects.</description>
    </key>

    <key type="b" name="default-font-italic-flag">
      <default>false</default>
      <summary>Default font italic flag.</summary>
      <description>The default font italic state for new text objects.</description>
    </key>

    <key type="u" name="default-text-color">
      <default>0x000000ff</default>
      <summary>Default text color.</summary>
      <description>The default color of text for new text objects (0xRRGGBBAA).</description>
    </key>

    <key type="s" name="default-text-alignment">
      <choices>
	<choice value="Left"/>
	<choice value="Center"/>
	<choice value="Right"/>
      </choices>
      <default>'Left'</default>
      <summary>Default text alignment.</summary>
      <description>The default text alignment for new text objects.</description>
    </key>

    <key type="d" name="default-text-line-spacing">
      <range min="0.1" max="5"/>
      <default>1.0</default>
      <summary>Default text line spacing.</summary>
      <description>The default line spacing for new text objects.</description>
    </key>

    <key type="d" name="default-line-width">
      <range min="0.25" max="10"/>
      <default>1.0</default>
      <summary>Default line width.</summary>
      <description>The default line width for new objects.</description>
    </key>

    <key type="u" name="default-line-color">
      <default>0x000000ff</default>
      <summary>Default line color.</summary>
      <description>The default line color new objects (0xRRGGBBAA).</description>
    </key>

    <key type="u" name="default-fill-color">
      <default>0x00ff00ff</default>
      <summary>Default fill color.</summary>
      <description>The default fill color new objects (0xRRGGBBAA).</description>
    </key>

  </schema>


  <schema path="/apps/glabels-3/history/" id="org.gnome.glabels-3.history" gettext-domain="glabels-3.0">

    <key type="as" name="recent-templates">
      <default>[]</default>
      <summary>Recent templates.</summary>
      <description>Recently used templates.</description>
    </key>

    <key type="as" name="recent-fonts">
      <default>[]</default>
      <summary>Recent fonts.</summary>
      <description>Recently used font families.</description>
    </key>

    <key type="au" name="recent-colors">
      <default>[]</default>
      <summary>Recent colors.</summary>
      <description>Recently created custom colors.</description>
    </key>

  </schema>


</schemalist>